<div class="layout-block">
  <div class="search-form eight-column">
    <form
      class="clearfix"
      id="form-filter"
      [formGroup]="searchForm"
      (ngSubmit)="search()"
    >
      <div class="form-group">
        <label>Type Code</label>
        <input
          type="text"
          class="form-control"
          formControlName="md_type"
          tabindex="1"
        />
      </div>
      <div class="form-group">
        <label>Type Name</label>
        <input
          type="text"
          class="form-control"
          formControlName="md_name"
          tabindex="3"
        />
      </div>

      <div class="btn-toolbar pull-left margin-top23">
        <button
          type="button"
          class="btn btn-outline gray"
          (click)="reset()"
          tabindex="4"
        >
          <i class="icon-close"></i>Reset
        </button>
        <button type="submit" class="btn btn-outline blue" tabindex="3">
          <i class="icon-magnifier"></i>Search
        </button>
      </div>
    </form>
  </div>
</div>

<div class="clearfix"></div>
<div class="area-block clearfix">
  <div class="filter clearfix table-list-head">
    <div class="form-inline pull-left">
      <label>Show:</label>
      <select
        [(ngModel)]="perPage"
        (change)="onPageSizeChanged($event)"
        class="form-control"
        tabindex="20"
      >
        <option value="20" selected>20</option>
        <option value="30">30</option>
        <option value="40">40</option>
        <option value="50">50</option>
      </select>
    </div>
    <a
      class="btn btn-primary pull-right"
      (click)="openPopUpCreate()"
      tabindex="9"
      ><i class="icon-plus"></i>ADD</a
    >
  </div>

  <div class="table-style2 clearfix table-responsive">
    <table class="table table-expand">
      <thead>
        <tr>
          <th>Type Code</th>
          <th>Type Name</th>
          <th>Descripton</th>
          <th>Status</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let dataType of dataTypes">
          <td>{{ dataType.md_type }}</td>
          <td>{{ dataType.mdt_name }}</td>
          <td>{{ dataType.mdt_des }}</td>
          <td>
            <button class="btn-sm btn">
              {{ dataType.md_sts == '1' ? 'Active' : 'InActive' }}
            </button>
          </td>
          <td>
            <button
              class="btn btn-info world-icon"
              (click)="openPopUpView(dataType)"
            >
              View <span class="glyphicon glyphicon-info-sign"></span>
            </button>
            <button
              class="btn btn-success world-icon"
              (click)="openPopUpEdit(dataType)"
            >
              Edit <span class="glyphicon glyphicon-pencil"></span>
            </button>
            <button
              class="btn btn-danger world-icon"
              (click)="delete(dataType.md_type)"
            >
              Delete <span class="glyphicon glyphicon-remove"></span>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="list-bottom">
    <div class="pull-right">
      <wms-pagination
        [perPage]="perPage"
        (pageChange)="pageChange($event)"
        [pagingData]="pagination"
      >
      </wms-pagination>
    </div>
  </div>
</div>
